Security Enhanced Linux Reference Policy

# Layer: services

## Module: mailman

Interfaces Templates

### Description:

Manage electronic mail discussion and e-newsletter lists.

### Interfaces:

mailman_append_log( domain )

##### Summary

Append mailman log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mailman_connect_cgi( domain )

##### Summary

Talk to mailman_cgi_t via Unix domain socket

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain talking to mailman

mailman_domtrans( domain )

##### Summary

Execute mailman in the mailman domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

mailman_domtrans_cgi( domain )

##### Summary

Execute mailman CGI scripts in the mailman CGI domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

mailman_domtrans_queue( domain )

##### Summary

Execute mailman_queue in the mailman_queue domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

mailman_exec( domain )

##### Summary

Execute mailman in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mailman_list_data( domain )

##### Summary

List mailman data directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mailman_manage_data_files( domain )

##### Summary

Create, read, write, and delete mailman data files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mailman_manage_lockdir( domain )

##### Summary

Manage mailman lock dir

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to manage it.

mailman_manage_log( domain )

##### Summary

Create, read, write, and delete mailman log content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mailman_manage_runtime( domain )

##### Summary

Manage mailman runtime files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to manage the files

mailman_read_archive( domain )

##### Summary

Read mailman archive content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mailman_read_data_files( domain )

##### Summary

Read mailman data content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mailman_read_data_symlinks( domain )

##### Summary

Read mailman data symbolic links.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mailman_read_log( domain )

##### Summary

Read mailman log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mailman_read_runtime( domain )

##### Summary

read mailman runtime files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to read the files

mailman_run( domain , role )

##### Summary

Execute the mailman program in the mailman domain and allow the specified role the mailman domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

mailman_search_data( domain )

##### Summary

Search mailman data directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mailman_signal_cgi( domain )

##### Summary

Send generic signals to mailman cgi.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

mailman_domain_template( domain_prefix )

##### Summary

The template to define a mailman domain.

##### Parameters

Parameter: | Description:
--- | ---
domain_prefix | Domain prefix to be used.

Return